:root {
    --primary: #0d6efd;
}

body {
    font-family: sans-serif;
    line-height: 1.6;
    color: #222;
    overflow-x: hidden !important;
    background-image: url(../images/bg.png);
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    position: relative;
}

body::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.93);
    z-index: -1;
}

body.loading{
    overflow: hidden;
}


/*For All Sections*/

section {
    margin-bottom: 50px;
}


/*AOS*/

[data-aos] {
    opacity: 0;
    transform-origin: center;
}

[data-aos].aos-animate {
    opacity: 1;
    transform: none;
    transition: all .7s cubic-bezier(.2, .8, .2, 1);
}


/*Navbar*/

.navbar {
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translate(-50%);
    width: 99%;
    border-radius: 20px;
    background-color : rgba(255, 255, 255, 0.38);
    backdrop-filter: blur(8px);
    border: 1px solid rgba(255, 255, 255, 0.4);
}

.navbar-brand img{
    height: 60px;
}

.navbar .nav-link {
    position: relative;
    font-size: 17px;
    margin-left: 20px;
    transition: color .15s ease;
}

.navbar .nav-link::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: -6px;
    height: 3px;
    background: #50110B;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform .5s ease;
}

.navbar .nav-link:hover::after {
    transform: scaleX(1);
    transform-origin : left;
}

.navbar .nav-link.active::after{
    transform: scaleX(1);
    transform-origin: left;
}


/*Carousel*/

.hero-section .carousel-caption {
    bottom: 20%;
    transform: translateY(0);
}

.carousel-caption .heading {
    font-size: clamp(28px, 5vw, 52px);
    color: white ;
    text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.6);
}

.carousel-caption p {
    font-size: clamp(16px, 2.5vw, 24px);
    color: white;
    text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.6);
}

.hero-section img {
    height: 720px;
    object-fit: cover;
    filter: brightness(75%);
}

.carousel-item::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 70px;
    background: linear-gradient(to bottom, rgba(255, 0, 0, 0) 0%, white 100%);
    pointer-events: none;
}

.carousel-inner .btn{
    transition: all .3s ease;
}
    
.carousel-inner .btn:hover{
    transform: translateY(-3px);
    box-shadow: 0 0 20px rgba(255, 255, 255, 0.4);
}

.animate-fadeInDown {
    animation: fadeUp 1.4s ease both;
}

.animate-fadeInUp {
    animation: fadeDown 1.4s ease both;
}

@keyframes fadeDown {
    from {
        opacity: 0;
        transform: translateY(-50px);
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeUp {
    from {
        opacity: 0;
        transform: translateY(50px);
    }

    to {
        opacity: 1;
    }
}

@media (max-width: 992px) {
    .btn-lg {
        font-size: 0.9rem;
        padding: 0.55rem 1.1rem;
        border-radius: 6px;
    }

    .navbar {
        border-radius: 0;
    }

    .hero-section img {
        height: 500px;
    }
}

@media (max-width: 768px) {
    .hero-section .carousel-caption {
        bottom: 10%;
        padding: 1rem;
    }

    .navbar-brand img{
        height: 50px;
    }
}


/*Bg-1*/

.line {
    width: 60px;
    height: 6px;
    background:  #A7773F;
    margin: auto;
    border-radius: 3px;
}

.bg1 .col-md-4 i {
    font-size: 60px;
    color: #50110B;
    margin-top: 20px;
    transition: all 0.6s ease;
}

.bg1 .row .col-sm-6:hover i {
    transform: rotateY(360deg);
    color: rgb(255, 123, 0);
}

.bg1 .col-md-8 h3 {
    margin: 0 0 15px;
    font-size: 20px;
    color: #662721;
    font-weight: 700;
}

.bg1 .col-md-8 p {
    line-height: 1.9em;
    font-weight: 400;
    color: #525252;
    font-size: 14px;
}

.bg1 .row .col-sm-6 {
    transition: transform 0.3s ease-in-out;
}

.bg1 .row .col-sm-6:hover {
    transform: translateY(-20px);
}


/*Programs*/

.hover-card {
    transition: all .25s ease;
}

.hover-card:hover a {
    color: white !important;
}

.hover-card:hover {
    transform: translateY(-8px);
    background-color: #BF8949;
    color: #fff;
}


/*Stats*/

.stat-card{
    background-color: white !important;
}

.stat-icon {
    font-size: 1.6rem;
    color: var(--primary);
}

.counter {
    font-size: 2rem;
    margin: 0;
    color: #0b1220;
}


/* Features - In About Us Page*/

.feature-card {
    perspective: 1000px;
    width: 100%;
    height: 250px;   
}

.feature-inner {
    position: relative;
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    transition: transform 0.8s ease;
}

.feature-card:hover .feature-inner {
    transform: rotateY(180deg);
}

.feature-front,
.feature-back {
    position: absolute;
    inset: 0;
    backface-visibility: hidden;
    border-radius: 12px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 30px !important;
    border: 1px solid #cccc;
}

.feature-front {
    background: linear-gradient(180deg, #fff, #f8fbff);
    z-index: 2;
}

.feature-back {
    transform: rotateY(180deg);
    background: #f0f6ff;
}

.feature-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.feature-icon {
    font-size: 2.2rem;
    color: var(--primary);
}


/*Gallery*/

.gallery-card img {
    transition: all .3s ease;
}

.gallery-card img:hover {
    transform: scale(1.03);
    filter: brightness(.95);
}


/*Courses*/

.multi {
    width: clamp(250px, 50vw, 400px);
    margin: 40px auto;
    margin-bottom: 0 !important;
    border-radius: 30px;
    border: 1px solid #0056b3;
}

.nav-pills {
    margin-top: 100px;
    position: sticky;
    top: 80px;
    z-index: 1;
}

@media only screen and (max-width: 992px) {
    .nav-pills {
        margin-top: 30px;
    }
}

.nav-pills .nav-link {
    border-radius: 25px;
    border: 1px solid #50110B;
    padding: 14px;
    margin-bottom: 15px;
    transition: all 0.3s ease;
    color: black;
}

.nav-pills .nav-link:hover {
    border: 1px solid #50110B;
    background-color: #af732c;
    color: white;
    transform: scale(1.05);
}

.nav-pills .nav-link.active {
    transform: scale(1.05);
    background-color: #af732c !important;
}

.nav-pills .nav-link.active::after,
.nav-pills .nav-link:hover::after {
    content: ' ←';
    color: white;
    float: right;
}

.subject-section {
    padding: 20px;
}

.subject-section p,
.subject-section li {
    font-size: clamp(16px, 1.8vw, 18px);
    line-height: 1.8;
}

.subject-section h1 {
    font-size: 32px;
    font-weight: 800;
    margin-bottom: 40px !important;
}

.subject-section h3 {
    font-size: 30px;
    font-weight: 600;
    margin-bottom: 20px;
}


/*Contact*/

.contact-card , .contact-card a {
    background: linear-gradient(180deg, #fff, #fbfdff);
    color: black;
    text-decoration: none;
}


/*Every Page Top*/

.college {
    position: relative;
    width: 100%;
    height: 620px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url(../images/college.png);
    background-position: center center;
    background-attachment: fixed;
    background-size: cover;
    background-repeat: no-repeat;
    background-color: rgba(0, 0, 0, 0.4);
    background-blend-mode: darken;
}

.college::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100px;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, rgb(255, 255, 255) 100%);
}

.college p {
    font-size: clamp(32px, 13vw, 80px);
    font-weight: 800;
    text-align: center;
    color: rgb(255, 255, 255);
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}


/*Footer*/

footer {
    font-size: .92rem;
}

.footer li:before {
    content: '-';
    margin-right: 10px;
}

.footer .footer-links a {
    display: inline-block;
    transition: all .4s ease;
}

.footer .footer-links a:hover ,
.footer .text-center a:hover{
    text-decoration: underline !important;
    cursor: pointer;
    transform: translateX(5px);
    color: lightblue !important;
}

.link a{
    color: white;
    font-size: 14px;
}

.bi{
    transition: all .6s ease;
}

.bi-facebook:hover{
    color: #1877F2;
}

.bi-youtube:hover{
    color: #FF0000;
}

.bi-instagram:hover{
    background: linear-gradient(45deg, #f09433, #e6683c, #dc2743, #cc2366, #bc1888);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}


/*Whatsapp-Button*/

.whatsapp-float {
    position: fixed;
    bottom: 116px;
    right: 30px;
    background-color: #25D366;
    color: white;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    font-size: 25px;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.3);
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    transition: all .3s ease;
}

.whatsapp-float:hover {
    transform: scale(1.1);
    background-color: #20c05d;
    color: white;
}


/*Top-Button*/

#progressBtn {
    position: fixed;
    bottom: 30px;
    right: 30px;
    height: 60px;
    width: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
    transform: translateY(20px) scale(0.9);
    transition: all 0.4s ease;
    z-index: 1000;
    cursor: pointer;
    border-radius: 50%;
    text-decoration: none;
}

#progressBtn.show {
    opacity: 1;
    visibility: visible;
    transform: translateY(0) scale(1);
}

#progressBtn::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 50%;
    z-index: 1;
    background: conic-gradient(#591C18 var(--scroll-percent), #e0e0e0 var(--scroll-percent));
}

#progressBtn::after {
    content: '';
    position: absolute;
    top: 4px;
    left: 4px;
    right: 4px;
    bottom: 4px;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.658);
    backdrop-filter: blur(5px);
    z-index: 2;
    box-shadow: inset 0 0px 5px rgba(0, 0, 0, 0.9);
}

.btn-content {
    position: relative;
    z-index: 3;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: 50%;
}

#percentText,
#arrowIcon {
    position: absolute;
    transition: all 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    color: #591C18;
    font-weight: 800;
}

#percentText {
    font-size: 14px;
    font-variant-numeric: tabular-nums;
    transform: translateY(0);
    opacity: 1;
}

#arrowIcon {
    font-size: 24px;
    transform: translateY(30px);
    opacity: 0;
    color: #d84207;
}

#progressBtn:hover {
    transform: translateY(-5px);
}

#progressBtn:hover #percentText {
    transform: translateY(-30px);
    opacity: 0;
}

#progressBtn:hover #arrowIcon {
    transform: translateY(0);
    opacity: 1;
}


/*Main-Button*/

.btn-dark {
    position: relative;
    overflow: hidden;
    z-index: 0;
}

.btn-dark:hover {
    color: #000000 !important;
}

.btn-dark::after {
    content: '';
    position: absolute;
    left: 0;
    top: 40px;
    width: 100%;
    height: 100%;
    background: #ffffff;
    transition: all 0.5s ease;
    border-radius: 100%;
    z-index: -1;
}

.btn-dark:hover:after {
    top: 0;
    border-radius: 0;
}


/*Loader*/

.loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #ffffff;
    z-index: 99999;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: all .5s ease;
    opacity: 0;
    visibility: hidden;
}


.loader-wrapper.hide {
    opacity: 0;
    visibility: hidden;
}

.loader-wrapper.show {
    opacity: 1;
    visibility: visible;
}

.graph-container {
    position: relative;
    width: 150px;
    height: 120px;
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    border-bottom: 4px solid #2c3e50;
    border-left: 4px solid #2c3e50;
    padding-left: 10px;
    margin-bottom: 30px;
}

.bar {
    width: 30px;
    background: linear-gradient(to top, #3498db, #2980b9);
    border-radius: 4px 4px 0 0;
    opacity: 0;
    transform-origin: bottom;
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.1);
}

.bar-1 {
    height: 40%;
    animation: growBar 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275) forwards;
    animation-delay: 0.1s;
}

.bar-2 {
    height: 70%;
    animation: growBar 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275) forwards;
    animation-delay: 0.3s;
}

.bar-3 {
    height: 100%;
    background: linear-gradient(to top, #27ae60, #2ecc71);
    position: relative;
    animation: growBar 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275) forwards;
    animation-delay: 0.5s;
}

.coin {
    position: absolute;
    top: -40px;
    left: 50%;
    transform: translateX(-50%) scale(0);
    width: 30px;
    height: 30px;
    background: #f1c40f;
    border-radius: 50%;
    border: 2px solid #f39c12;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #d35400;
    font-size: 14px;
    font-weight: bold;
    opacity: 0;
    animation: popCoin 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55) forwards;
    animation-delay: 1.1s;
}

.loading-text {
    color: #2c3e50;
    font-size: 1rem;
    letter-spacing: 1px;
    font-weight: 700;
    text-transform: uppercase;
    animation: fadeIn 1s ease forwards;
    opacity: 0;
    animation-delay: 0.2s;
}

.sub-text {
    margin-top: 5px;
    color: #7f8c8d;
    font-size: 0.8rem;
    font-weight: 500;
    opacity: 0;
    animation: fadeIn 1s ease forwards;
    animation-delay: 0.5s;
}

@keyframes growBar {
    from {
        transform: scaleY(0);
        opacity: 0;
    }

    to {
        transform: scaleY(1);
        opacity: 1;
    }
}

@keyframes popCoin {
    0% {
        transform: translateX(-50%) scale(0) translateY(20px);
        opacity: 0;
    }

    100% {
        transform: translateX(-50%) scale(1) translateY(0);
        opacity: 1;
    }
}

@keyframes fadeIn {
    to {
        opacity: 1;
    }
}



